Overwolf Hot Fix!

Hello fellow gamers,

Some of you complained that the latest version of Overwolf doesn’t work with World Of Warcraft, Runes Of Magic and some other games.

It happens to *some* of the users because we’ve added support for DirectX11. (If you use steam, you probably didn’t experience this).

So don’t worry, we are on it in full throttle and it will be fixed for  Overwolf’s next version.

In the meantime, to quickly solve this issue, Please install DirectX End-User Runtime, which is a harmless directx extension library.

http://www.microsoft.com/download/en/details.aspx?id=35

All the best!

/Gil Or/

Lead Developer

Overwolf